=== debian/changelog ===
pciutils (1:3.9.0-4) unstable; urgency=medium

  * Do not trim debian/changelog.
  * Add debian/patches metadata.
  * Add pkgconf as a preferred alternative to pkg-config in Build-Depends.
  * Make globs in debhelper fragment files more specific.

 -- Guillem Jover <guillem@debian.org>  Wed, 18 Jan 2023 00:50:53 +0100

pciutils (1:3.9.0-3) unstable; urgency=medium

  * Use new upstream change for symbol aliases disappearance fix instead of
    reverting the original commit.
  * Switch to Standards-Version 4.6.2 (no changes needed).
  * Update copyright years.

 -- Guillem Jover <guillem@debian.org>  Sat, 07 Jan 2023 22:58:21 +0100

pciutils (1:3.9.0-2) unstable; urgency=medium

  * Enable LFS build options. This should ABI safe for the shared library as
    it does not expose any problematic type.
  * Update lintian overrides.

 -- Guillem Jover <guillem@debian.org>  Sat, 03 Dec 2022 14:13:08 +0100

pciutils (1:3.9.0-1) unstable; urgency=medium

  * New upstream release.
    - Revert an upstream commit that makes some symbol aliases disappear,
      breaking the ABI.

 -- Guillem Jover <guillem@debian.org>  Thu, 24 Nov 2022 03:47:18 +0100
