=== debian/control ===
Source: pciutils
Section: admin
Priority: optional
Maintainer: Guillem Jover <guillem@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 debhelper (>= 13.10),
 pci.ids (>= 0.0~2019.11.10-2) <!noudeb>,
 pkgconf | pkg-config,
 libkmod-dev [linux-any],
 libudev-dev (>= 196) [linux-any],
 zlib1g-dev,
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: https://mj.ucw.cz/sw/pciutils/
Vcs-Browser: https://git.hadrons.org/cgit/debian/pkgs/pciutils.git
Vcs-Git: https://git.hadrons.org/git/debian/pkgs/pciutils.git

Package: pciutils
Priority: standard
Architecture: any
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 libpci3 (= ${binary:Version}),
Suggests:
 bzip2,
 wget | curl | lynx,
Description: PCI utilities
 This package contains various utilities for inspecting and setting of
 devices connected to the PCI bus.

Package: libpci-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 libpci3 (= ${binary:Version}),
 libudev-dev (>= 196) [linux-any],
 zlib1g-dev,
Description: PCI utilities (development files)
 This package contains the <pci/pci.h>, <pci/config.h> and <pci/header.h>
 header files, as well as the libpci static library.

Package: libpci3
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 pci.ids (>= 0.0~2019.11.10-2),
Description: PCI utilities (shared library)
 This package contains the libpci shared library files.
 .
 The libpci library provides portable access to configuration
 registers of devices connected to the PCI bus.

Package: pciutils-udeb
Package-Type: udeb
Build-Profiles: <!noudeb>
Section: debian-installer
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: PCI Utilities (udeb)
 This package contains various utilities for inspecting and setting of
 devices connected to the PCI bus.
 .
 This is a minimal version for use in debian-installer.

Package: libpci3-udeb
Package-Type: udeb
Build-Profiles: <!noudeb>
Section: debian-installer
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: PCI Utilities (udeb shared library)
 This package contains the libpci shared library files.
 .
 The libpci library provides portable access to configuration
 registers of devices connected to the PCI bus.
 .
 This is a minimal version for use in debian-installer.
