## pciutils 3.10.0

=== Makefile ===
--- 
+++ 
@@ -1,11 +1,11 @@
 # Makefile for The PCI Utilities
-# (c) 1998--2022 Martin Mares <mj@ucw.cz>
+# (c) 1998--2023 Martin Mares <mj@ucw.cz>
 
 OPT=-O2
 CFLAGS=$(OPT) -Wall -W -Wno-parentheses -Wstrict-prototypes -Wmissing-prototypes
 
-VERSION=3.9.0
-DATE=2022-11-20
+VERSION=3.10.0
+DATE=2023-05-01
 
 # Host OS and release (override if you are cross-compiling)
 HOST=
@@ -45,10 +45,11 @@
 # Commands
 INSTALL=install
 DIRINSTALL=install -d
+ifdef CROSS_COMPILE
+STRIP=--strip-program $(CROSS_COMPILE)-strip
+CC=$(CROSS_COMPILE)gcc
+else
 STRIP=-s
-ifdef CROSS_COMPILE
-CC=$(CROSS_COMPILE)gcc
-else
 CC=cc
 endif
 AR=$(CROSS_COMPILE)ar
