=== debian/changelog ===
pciutils (1:3.10.0-2build1) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 18:15:21 +0200

pciutils (1:3.10.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Guillem Jover <guillem@debian.org>  Mon, 12 Jun 2023 23:26:42 +0200

pciutils (1:3.10.0-1) experimental; urgency=medium

  * New upstream release.
    - Remove patch that was taken from upstream.
    - Cherry-pick patch from upstream to fix strip usage on cross-compilation.
    - Update copyright years.

 -- Guillem Jover <guillem@debian.org>  Sun, 07 May 2023 01:57:42 +0200
