=== debian/changelog ===
pciutils (1:3.13.0-2) unstable; urgency=medium

  * Switch to Standards-Version 4.7.1 (no changes needed).
  * Update copyright years.
  * Take patch from upstream to fix build failure on GNU/Hurd amd64 port.

 -- Guillem Jover <guillem@debian.org>  Sat, 22 Feb 2025 18:37:22 +0100

pciutils (1:3.13.0-1) unstable; urgency=medium

  * New upstream release.
  * Switch to Standards-Version 4.7.0 (no changes needed).
  * Remove pkg-config alternative from pkgconf Build-Depends.

 -- Guillem Jover <guillem@debian.org>  Thu, 20 Jun 2024 02:11:20 +0200

pciutils (1:3.12.0-1) unstable; urgency=medium

  * New upstream release.

 -- Guillem Jover <guillem@debian.org>  Mon, 08 Apr 2024 03:36:14 +0200

pciutils (1:3.11.1-1) unstable; urgency=medium

  * New upstream release.
    - Remove patch that was taken from upstream.
    - Update copyright years.
    - Install new pcilmr tool.
  * Wrap fields in debian/tests/control.
  * Take DPKG_ROOT into account in maintainer scripts.
  * Replace pkg-config with pkgconf in debian/tests/control.
  * Switch from future=+lfs to abi=+lfs build flags feature, and Build-Depends
    on dpkg-dev >= 1.22.0.
  * Fix indentation in debian/tests/test-libpci.

 -- Guillem Jover <guillem@debian.org>  Thu, 07 Mar 2024 06:49:13 +0100
