=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: pciutils
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Guillem Jover <guillem@debian.org>
+Maintainer: Guillem Jover <guillem@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  debhelper (>= 13.10),
+ dpkg-dev (>= 1.22.0),
  pci.ids (>= 0.0~2019.11.10-2) <!noudeb>,
- pkgconf | pkg-config,
+ pkgconf,
  libkmod-dev [linux-any],
  libudev-dev (>= 196) [linux-any],
  zlib1g-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.1
 Homepage: https://mj.ucw.cz/sw/pciutils/
 Vcs-Browser: https://git.hadrons.org/cgit/debian/pkgs/pciutils.git
 Vcs-Git: https://git.hadrons.org/git/debian/pkgs/pciutils.git
