=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sign/ \
https://mj.ucw.cz/download/linux/pci/pciutils-([\d\.]+).tar.(?:xz|gz|bz2) debian uupdate
