=== debian/changelog ===
pciutils (1:3.14.0-1build1) questing; urgency=medium

  * Rebuild to include updated RISC-V base ISA RVA23

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Thu, 28 Aug 2025 19:30:56 +0000

pciutils (1:3.14.0-1) unstable; urgency=medium

  * New upstream release.
    - Remove patch that was taken from upstream.
    - Update copyright years.
  * Remove «Rules-Requires-Root: no», which is the current default.
  * Remove «Priority: optional» field, which is the current default.
  * Switch to Standards-Version 4.7.2 (no changes needed).

 -- Guillem Jover <guillem@debian.org>  Sun, 10 Aug 2025 20:35:18 +0200
